mat2UndirG {GraphAT} | R Documentation

## Change graph representations

### Description

A function to turn an adjacency matrix for a graph into a graphNEL object.

### Usage

    mat2UndirG(V, mat)

### Arguments

`V` | A vector of node names
`mat` | A square symmetric matrix indicating the presence of edges

### Details

`mat` is a square matrix with rows and columns corresponding to nodes in the graph. Entries of "0" indicate the lack of an edge. Since this is making an undirected graph, `mat` must be symmetric.

### Value

A graphNEL object.

### Author(s)

Denise Scholtens

### References

Balasubramanian, et al. (2004) A graph theoretic approach to integromics - integrating disparate sources of functional genomics data.

### Examples

    library(graph)
    a <- matrix(c(0,1,1,1,1,0,0,0,1,0,0,0,1,0,0,0),ncol=4)
    ag <- mat2UndirG(V=letters[1:4],mat=a)

[Package GraphAT version 1.8.0 Index]